.ig XC
%  nroff -man random.man | more
%n nroff -man random.man | lpr
%t ptroff -man random.man -Plw
.XC
.TH RA_RANDOM 3 "November 1990"
.SH NAME 
ra_random \- random number generation routines
.SH SYNOPSIS
.nf
#include "random.h"

int ra_roll(str) char *str ; 

char *ra_card()

int ra_random(max) int max ;

int ra_seed(seed) int seed ;

double ra_float()

int ra_query(str,what) char *str ; int what ;

int ra_logging(state,filename) int state ; char *filename ;
.fi
.SH DESCRIPTION
.IP ra_roll
This routine takes a text representation of a dice roll, and returns a 
number rolled.  Sample dice rolls are "1d10", "2d4", "3d10+2", or "4d4-1".
.IP ra_card
This call returns a random card from a playing deck (minus jokers).
The returned pointer is to a static string containing a number and a lower
case letter, for example "4s" or "12d" for the four of spades and queen
of diamonds, respectively.  
.IP ra_random
Takes a number and returns a random number between 1 and the number passed 
in.
.IP ra_seed
Initializes the random number stream.  It's one argument is the new seed.
Use a seed of zero for debugging (for reproducablity) but some other number
for real use.
.IP ra_float
This call returns a random floating point number between 0 and 1.  I'm not
really sure how random it is though; it is experimental.
.IP ra_query
This function returns information about a dice roll.  The roll you are
asking about is the first argument.  The second argument controls what
is returned:
.RS
.IP RA_MAX
Returns the largest number this roll can generate.
.IP RA_MIN
Returns the small number this roll can generate.
.IP RA_AVE
Returns the average number which this roll will generate.
.IP RA_LEGAL
Returns true (1) if the string passed in is a legal dice roll.  Returns
false (0) if it is not.
.RE
.sp 1
.IP ra_logging
This routine enables or disables logging an playback of random numbers.
It is designed help testing/debugging by recreating the same random number 
stream over and over.  The first argument is the command, the second is
a file name.  The commands are in random.h:
.RS
.IP RA_NORMAL
Returns to the normal state.  Random number are generated on the fly and
not logged.  The second argument is ignored.
.IP RA_PLAY
Random numbers are not generated, but read from the file passed in as the
second argument.  By convention these files end in ".rl" for random log.
.IP RA_LOG
Random number are generated on the fly and stored in a random log file
for later playback.  The log file name is the second command.  
.RE
.sp 1
In theory, both play and log can be active at the same time, but this is
an untested configuration.  Both play and log are turned off by normal.
.IP ra_stddev
<<NOT YET IMPLEMENTED>>
.SH "EXAMPLES"
.nf
Not done yet.  Look at random.c, tablesimple.c and tablemulti.c.
.fi
.SH "SEE ALSO"
.PP
These routines use random(3) to generate random numbers.
.SH "BUGS"
.IP \(bu
These routines rely on the local C library to provide raw random numbers.
They should come with there own generator.
.SH AUTHOR
.PP
The random routines were written by Joshua Levy.
.br
joshua@atherton.com   Home: (415) 968-3718   Work: (408) 734-9822
.IP "\(co 1989 Joshua Levy"
This man page and the code it describes is covered by the GNU general
public license, commonly called the "copyleft".  It can only be used or
redistributed under the terms of that agreement.  Persons or corporations
wishing to use this code in ways not allowed by the GNU license should 
contact the author to discuss other licensing agreements.
.br
