.ig XC
%  nroff -man tb-execs.man | more
%n nroff -man tb-execs.man | lpr
%t ptroff -man tb-execs.man -Plw
.XC
.TH TABLE-EXECS 1 "Dec 27th 1989"
.SH NAME 
table-exec \- the executables shipped with table: table, tb2tbl, rndtest, bw
.SH SYNOPSIS
.nf
table <table.file> <number>
tb2tbl <table.file>
rndtest
tbtest
bw <seed> <number>
.fi
.SH DESCRIPTION
.IP table
This is a simple front end to the table routines, designed for testing.
Table takes two arguments.  The name of the file containing the table,
and the number of times to roll on that table.  Neither of these arguments
are optional.
.IP tb2tbl
This program takes one argument, a table file, which it translates 
into troff/tbl format and write to the standard output.
.IP rndtest
This is a simple front end to the random number generation routines,
designed for testing.  It takes no arguments, but interactively reads in
an executes commands, untill it reads a quit or an EOF.  The commands it
accepts are:
.RS
.IP "seed <new-seed>"
This calls the ra_seed routine, which changes the seed number used by the
underlieing random number generator.
.IP "roll <number> <dice>"
This calls the ra_roll routine <number> times.  <Dice> is the dice roll to
use.
.IP "card <number>"
This calls the ra_card routine <number> times.
.IP "log <what> <where>"
This calls the ra_logging routine.
.RE
.IP tbtest
This is a simple front end to the table routines, designed for testing.
It takes no arguments, but reads commands from a script.  The commands 
it knows about are:
.RS
.IP "read"
Reads in a table and makes it the current table.  It takes one argument,
the file to read in the table from.
.IP "free"
Frees the current table.
.IP "use"
Uses the current table.
.IP "many"
Uses the current table many times.
.IP "back"
.IP "print"
Prints out the current table.
.IP "help"
Prints out some help.
.IP "quit"
To exit from the program.
.RE
.IP bw
A buzzphase generator.  Its first argument is a random number seed, 
and its second is the number of phrases it should generate.  They
are written to the standard output, one per line.
.SH EXAMPLES
.nf
table simp1.tab 10
table multi1.tab 5
tb2tbl bw2.tab | tbl | nroff -me | col | more
bw 0 10
bw 10 10
.fi
.SH "SEE ALSO"
.PP
ra_random(3), table(3).
.SH "BUGS"
.SH AUTHOR
.PP
These programs were written by Joshua Levy at Atherton Technology.
.br
joshua@atherton.com   Home: (415) 968-3718   Work: (408) 734-9822
.IP "\(co 1989 Joshua Levy"
This man page and the code it describes is covered by the GNU general
public license, commonly called the "copyleft".  It can only be used or
redistributed under the terms of that agreement.  Persons or corporations
wishing to use this code in ways not allowed by the GNU license should 
contact the author to discuss other licensing agreements.
.br
